Subject: Problem calling WINAPI functions with structs
From: [email-masked] (Gert van Antwerpen)

16 Jan 1998 14:37:51 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
To: <[email-masked]>

Hai

I tried to make some application which has an interface to windows. 
I found that some WINAPI32 functions do not correctly pass their arguments
to the stack. GetLargestConsoleWindowSize returns a struct and my feeling
is that GCC does not handle it the same way other windows compilers do, so
it does not work. I am not sure but also passing structs (by value) to
WINAPI funcs have also strange results.

Gert van Antwerpen
[email-masked]
Please answer by mail.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".